org.apache.lucene.index

## Enum PointValues.Relation

- java.lang.Object
- - java.lang.Enum<PointValues.Relation>
  - - org.apache.lucene.index.PointValues.Relation

- All Implemented Interfaces:
    Serializable, Comparable<PointValues.Relation>
  Enclosing class:
    PointValues

      public static enum PointValues.Relation
      extends Enum<PointValues.Relation>

  Used by `PointValues.intersect(java.lang.String, org.apache.lucene.index.PointValues.IntersectVisitor)` to check how each recursive cell corresponds to the query.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CELL_CROSSES_QUERY` Return this if the cell partially overlaps the query
    `CELL_INSIDE_QUERY` Return this if the cell is fully contained by the query
    `CELL_OUTSIDE_QUERY` Return this if the cell and query do not overlap

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static PointValues.Relation` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static PointValues.Relation[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### CELL_INSIDE_QUERY

          public static final PointValues.Relation CELL_INSIDE_QUERY

      Return this if the cell is fully contained by the query

    - #### CELL_OUTSIDE_QUERY

          public static final PointValues.Relation CELL_OUTSIDE_QUERY

      Return this if the cell and query do not overlap

    - #### CELL_CROSSES_QUERY

          public static final PointValues.Relation CELL_CROSSES_QUERY

      Return this if the cell partially overlaps the query

  - ### Method Detail

    - #### values

          public static PointValues.Relation[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (PointValues.Relation c : PointValues.Relation.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static PointValues.Relation valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2018 Apache Software Foundation. All Rights Reserved.